## org.eclipse.datatools.modelbase.sql.datatypes
Interface PredefinedDataType

All Superinterfaces:
  DataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLDataType, SQLObject

All Known Subinterfaces:
  ApproximateNumericDataType, BinaryStringDataType, BooleanDataType, CharacterStringDataType, DataLinkDataType, DateDataType, ExactNumericDataType, FixedPrecisionDataType, IntegerDataType, IntervalDataType, NumberDataType, NumericalDataType, SybaseASABasePredefinedDataType, SybaseASEPredefinedDataType, TimeDataType, XMLDataType

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.datatypes.impl.PredefinedDataTypeImpl, SybaseASABasePredefinedDataTypeImpl, SybaseASACatalogBasePreDefinedType, SybaseASECatalogPreDefinedType, SybaseASEPredefinedDataTypeImpl

    public interface PredefinedDataType

extends SQLDataType

A representation of the model object 'Predefined Data Type'. Reference: 5WD-02-Foundation-2002-12 4.1 Data types

The following features are supported:

- `Primitive Type`

See Also:
  `SQLDataTypesPackage.getPredefinedDataType()`

Method Summary
`PrimitiveType` `getPrimitiveType()` Returns the value of the 'Primitive Type' attribute.
`void` `setPrimitiveType(PrimitiveType value)` Sets the value of the '`Primitive Type`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPrimitiveType

    PrimitiveType getPrimitiveType()

  Returns the value of the 'Primitive Type' attribute. The literals are from the enumeration `PrimitiveType`.

  If the meaning of the 'Primitive Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Primitive Type' attribute.
  See Also:
    `PrimitiveType`, `setPrimitiveType(PrimitiveType)`, `SQLDataTypesPackage.getPredefinedDataType_PrimitiveType()`

### setPrimitiveType

    void setPrimitiveType(PrimitiveType value)

  Sets the value of the '`Primitive Type`' attribute.

  Parameters:
    `value` - the new value of the 'Primitive Type' attribute.
  See Also:
    `PrimitiveType`, `getPrimitiveType()`